> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/ac_admin/anlagenuebersicht/anlage/dienste_und_anwendungen/restapi.md).

# REST API

## REST API

The REST API is a programming interface that provides selected ACRON functions for third-party applications.

Details on configuration and usage can be found in the API developer documentation.

Preconditions

* In the [license settings](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/admin/ac_designer/anlage/register-lizenz.md), one of the options with database server participation must be selected for the [access type](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/admin/ac_designer/anlage/register-lizenz.md#zugriffsart).
* The [user administration](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/admin/ac_designer/benutzerverwaltung/benutzergruppen-benutzer.md#bv-aktiv) must be activated and
* the corresponding user must exist there with [name and password](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/admin/ac_designer/benutzerverwaltung/benutzer/benutzerdaten.md).

## Workspace <a href="#arbeitsbereich" id="arbeitsbereich"></a>

### Server

#### Status

Status of REST API server

### License reservations <a href="#lizenzreservierungen" id="lizenzreservierungen"></a>

#### Number of license consumers for data access

Option to reserve [License Consumer](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/admin/glossar/license_consumer.md) for the REST API. These are immediately deducted from the [number of available License Consumers](/acron-9.3/en/ac_admin/lokalelizenz.md#lizenzinformationen).

Note

The more License Consumers are reserved for data access by the REST API, the faster the data can be accessed.

### Configuration

#### FQDN

Fully qualified host or domain name of the REST API server.

#### IP address

Selection of the network adapter to be used, based on its IP address

#### Port

Assigned port number (allowed port numbers between 3900 and 9000)

#### Certificate

There are two different ways to select a certificate:

* Import a certificate from a certificate file

  Click the 'Import certificate' button and select a \*.cer or \*.pfx file.
* Create a self-signed certificate

  Click the 'Generate certificate' button in the subsequent dialog to set a password for the certificate file. The certificate file (pfx) is stored in the ACRON configuration path. A maximum of one certificate file can exist per plant.

Note

Self-signed certificates are only suitable for development and test purposes. For productive operation, a certificate issued by a trusted certification body is mandatory.

Click the 'Export certificate' button to save a self-signed certificate without the private key as a \*.cer file on the desktop.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/ac_admin/anlagenuebersicht/anlage/dienste_und_anwendungen/restapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
